package com.mortals.xhx.module.appointment.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.appointment.model.vo.AppointmentConfigTimesVo;
/**
 * 预约自动签到配置时间段实体对象
 *
 * @author zxfei
 * @date 2023-04-11
 */

public class AppointmentConfigTimesEntity extends AppointmentConfigTimesVo {
    private static final long serialVersionUID = 1L;

    /**
     * 自动签到配置id
     */
    private Long aotoCheckCfgId;
    /**
     * 时间段时候开始时间
     */
    private Date serviceTimeStart;
    /**
     * 时间段结束时间
     */
    private Date serviceTimeEnd;
    /**
     * 备注
     */
    private String remark;



    public AppointmentConfigTimesEntity(){}
    /**
     * 获取 自动签到配置id
     * @return Long
     */
    public Long getAotoCheckCfgId(){
        return aotoCheckCfgId;
    }
    /**
     * 设置 自动签到配置id
     * @param aotoCheckCfgId
     */
    public void setAotoCheckCfgId(Long aotoCheckCfgId){
        this.aotoCheckCfgId = aotoCheckCfgId;
    }
    /**
     * 获取 时间段时候开始时间
     * @return Date
     */
    public Date getServiceTimeStart(){
        return serviceTimeStart;
    }
    /**
     * 设置 时间段时候开始时间
     * @param serviceTimeStart
     */
    public void setServiceTimeStart(Date serviceTimeStart){
        this.serviceTimeStart = serviceTimeStart;
    }
    /**
     * 获取 时间段结束时间
     * @return Date
     */
    public Date getServiceTimeEnd(){
        return serviceTimeEnd;
    }
    /**
     * 设置 时间段结束时间
     * @param serviceTimeEnd
     */
    public void setServiceTimeEnd(Date serviceTimeEnd){
        this.serviceTimeEnd = serviceTimeEnd;
    }
    /**
     * 获取 备注
     * @return String
     */
    public String getRemark(){
        return remark;
    }
    /**
     * 设置 备注
     * @param remark
     */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppointmentConfigTimesEntity) {
            AppointmentConfigTimesEntity tmp = (AppointmentConfigTimesEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",aotoCheckCfgId:").append(getAotoCheckCfgId());
        sb.append(",serviceTimeStart:").append(getServiceTimeStart());
        sb.append(",serviceTimeEnd:").append(getServiceTimeEnd());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

        this.aotoCheckCfgId = null;

        this.serviceTimeStart = null;

        this.serviceTimeEnd = null;

        this.remark = "";
    }
}